unit BookshelfModule;

interface

uses
  System.SysUtils, System.Classes, GraphQL.Comp.Schema, GraphQL.Bookshelf, GraphQL.Schema;

type
  TDataModule1 = class(TDataModule)
    GraphQLSchema1: TGraphQLSchema;
    procedure DataModuleCreate(Sender: TObject);
    procedure GraphQLSchema1InitSchema(Sender: TObject; Schema: TSchemaDocument);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule1: TDataModule1;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

procedure TDataModule1.DataModuleCreate(Sender: TObject);
begin
  GraphQLSchema1.Definition.Text := BookshelfSchema;
end;

procedure TDataModule1.GraphQLSchema1InitSchema(Sender: TObject; Schema: TSchemaDocument);
begin
  InitBookshelfSchema(Schema);
end;

end.
